{
"sender_id": "MYCOMPANY",
"purpose": "Marketing and promotional campaigns"
}
{
"success": true,
"data": {
"id": 3,
"uuid": "93489425-387g-6aeb-c385-7cgh3c4e8h23",
"sender_id": "MYCOMPANY",
"purpose": "Marketing and promotional campaigns",
"status": "pending",
"created_at": "2026-01-15T13:00:00.000000Z",
"updated_at": "2026-01-15T13:00:00.000000Z"
}
}
{
"success": false,
"message": "The given data was invalid.",
"errors": {
"sender_id": ["The sender id must not exceed 11 characters."]
}
}
Sender IDs
Create Sender ID
Request a new sender ID for approval
POST
https://sendazi.com/api/v1
/
sender-ids
{
"sender_id": "MYCOMPANY",
"purpose": "Marketing and promotional campaigns"
}
{
"success": true,
"data": {
"id": 3,
"uuid": "93489425-387g-6aeb-c385-7cgh3c4e8h23",
"sender_id": "MYCOMPANY",
"purpose": "Marketing and promotional campaigns",
"status": "pending",
"created_at": "2026-01-15T13:00:00.000000Z",
"updated_at": "2026-01-15T13:00:00.000000Z"
}
}
{
"success": false,
"message": "The given data was invalid.",
"errors": {
"sender_id": ["The sender id must not exceed 11 characters."]
}
}
string
required
The sender ID name (alphanumeric, max 11 characters)
string
required
Description of how the sender ID will be used
Sender IDs require approval before they can be used. The approval process typically takes an hour or 24-48 hours.
{
"sender_id": "MYCOMPANY",
"purpose": "Marketing and promotional campaigns"
}
{
"success": true,
"data": {
"id": 3,
"uuid": "93489425-387g-6aeb-c385-7cgh3c4e8h23",
"sender_id": "MYCOMPANY",
"purpose": "Marketing and promotional campaigns",
"status": "pending",
"created_at": "2026-01-15T13:00:00.000000Z",
"updated_at": "2026-01-15T13:00:00.000000Z"
}
}
{
"success": false,
"message": "The given data was invalid.",
"errors": {
"sender_id": ["The sender id must not exceed 11 characters."]
}
}
Was this page helpful?
